> For the complete documentation index, see [llms.txt](https://docs.badger.store/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.badger.store/fivem-misc.-scripts/pedtrustsystem.md).

# PedTrustSystem

**Version 1.0**&#x20;

Basically, you ever want to give players access to their own personal ped, then trust and untrust others to use it? That's what this script is for! This script allows you to trust and untrust players to your "personal" ped.

### Badger's Discord Community

[![Developer Discord](https://discordapp.com/api/guilds/597445834153525298/widget.png?style=banner4)](https://discord.com/invite/WjB5VFz)

![](https://i.gyazo.com/05afae9b0808ef3dce8734c9ea0f8dd6.gif)

![](https://i.gyazo.com/f6504163e6a1c7f4939c1b61cd2e50d4.png)

![](https://i.gyazo.com/17a885ccf6aa99692421e72dda5fd004.png)

![](https://i.gyazo.com/34cf1bd07f21a06b1475160755d38595.png)

![](https://i.gyazo.com/f1db42a35b6cbe167760eaf68d410b04.png)

**Commands**&#x20;

`/setPedOwner [player] [spawncode] - Give a player the ownership of a ped. This should only be allowed to be ran by staff members. Permission for it can be found below`

`/trustPed [player] [spawncode] - Trust a player to access your ped. Won't work if they don't own the ped.`

`/untrustPed [player] [spawncode] - Untrust a player your previously trusted to access your ped.`

`/peds - List the peds you have access to utilize.`

**Permissions** `add_ace group.admin PedTrustSystem.Access allow # To use /setPedOwner <id> <spawncode>`

**Download** [PedTrustSystem](https://github.com/TheWolfBadger/PedTrustSystem)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.badger.store/fivem-misc.-scripts/pedtrustsystem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
